Class | BiorubyGenerator
In: | lib/bio/shell/rails/vendor/plugins/bioruby/generators/bioruby/bioruby_generator.rb
Parent: | Rails::Generator::Base

### Methods

manifest

### Public Instance methods

manifest()

[Source]

        # File lib/bio/shell/rails/vendor/plugins/bioruby/generators/bioruby/bioruby_generator.rb, line 2
     2:   def manifest
     3:     record do |m|
     4:       m.directory 'app/controllers'
     5:       m.directory 'app/helpers'
     6:       m.directory 'app/views/bioruby'
     7:       m.directory 'app/views/layouts'
     8:       m.directory 'public/images/bioruby'
     9:       m.directory 'public/stylesheets'
    10:       m.file 'bioruby_controller.rb', 'app/controllers/bioruby_controller.rb'
    11:       m.file 'bioruby_helper.rb',     'app/helpers/bioruby_helper.rb'
    12:       m.file '_methods.rhtml',        'app/views/bioruby/_methods.rhtml'
    13:       m.file '_classes.rhtml',        'app/views/bioruby/_classes.rhtml'
    14:       m.file '_modules.rhtml',        'app/views/bioruby/_modules.rhtml'
    15:       m.file '_log.rhtml',            'app/views/bioruby/_log.rhtml'
    16:       m.file '_variables.rhtml',      'app/views/bioruby/_variables.rhtml'
    17:       m.file 'commands.rhtml',        'app/views/bioruby/commands.rhtml'
    18:       m.file 'history.rhtml',         'app/views/bioruby/history.rhtml'
    19:       m.file 'index.rhtml',           'app/views/bioruby/index.rhtml'
    20:       m.file 'bioruby.rhtml',         'app/views/layouts/bioruby.rhtml'
    21:       m.file 'spinner.gif',           'public/images/bioruby/spinner.gif'
    22:       m.file 'bioruby-gem.png',       'public/images/bioruby/gem.png'
    23:       m.file 'bioruby-link.gif',      'public/images/bioruby/link.gif'
    24:       m.file 'bioruby-bg.gif',        'public/images/bioruby/bg.gif'
    25:       m.file 'bioruby.css',           'public/stylesheets/bioruby.css'
    26:     end
    27:   end

[Validate]